/* I2C LCD 1602 keypad shield mit ATmega32u4 (ATmega328) */

#include <avr/io.h>                                                                                                                                    
#include <Wire.h>                                                                       
#include <LiquidCrystal_I2C.h>    
                                                      
LiquidCrystal_I2C lcd(0x3F,16,2);  // set the LCD address to 0x3F for a 16 chars and 2 line display

byte temp_cel_1[8] = {0b00010,0b00110,0b00101,0b01001,0b01000,0b01000,0b01000,0b00011}; 
byte temp_cel_2[8] = {0b00000,0b00000,0b00000,0b00000,0b11111,0b00000,0b00000,0b11111}; 
byte temp_cel_3[8] = {0b01000,0b01100,0b10100,0b10010,0b00010,0b00010,0b00100,0b11110}; 
byte temp_cel_4[8] = {0b01100,0b01000,0b10000,0b10000,0b10000,0b10011,0b01100,0b01000}; 
byte temp_cel_5[8] = {0b00000,0b00000,0b11111,0b00100,0b00100,0b10100,0b00100,0b00100}; 
byte temp_cel_6[8] = {0b00000,0b00000,0b11100,0b10010,0b10001,0b10001,0b10010,0b11100}; 
byte temp_cel_7[8] = {0b11000,0b00100,0b10001,0b11011,0b10101,0b10001,0b10001,0b10001}; 
                                                                                                                                                                                                                                                             
word LCD_Buttons_ADC;

void setup()
{
Serial.begin(9600);   // connect to the serial port
lcd.init();
lcd.begin(16,2);                     

lcd.createChar(0, temp_cel_1);  // Записываем свои символы в LCD
lcd.createChar(1, temp_cel_2);
lcd.createChar(2, temp_cel_3);
lcd.createChar(3, temp_cel_4);
lcd.createChar(4, temp_cel_5);
lcd.createChar(5, temp_cel_6);
lcd.createChar(6, temp_cel_7);

lcd.setCursor(0,0);   // ставим курсор на 1 символ первой строки
lcd.print(char(0));   // выводим первый символ 
lcd.setCursor(1,0);   // ставим курсор на 2 символ первой строки
lcd.print(char(1));
lcd.setCursor(2,0);   // ставим курсор на 3 символ первой строки
lcd.print(char(2));
lcd.setCursor(0,1);   // ставим курсор на 1 символ второй строки
lcd.print(char(3));
lcd.setCursor(1,1);   // ставим курсор на 2 символ второй строки
lcd.print(char(4));
lcd.setCursor(2,1);   // ставим курсор на 3 символ второй строки
lcd.print(char(5));
lcd.setCursor(3,1);   // ставим курсор на 4 символ второй строки
lcd.print(char(6));
}

void loop()
{ 
LCD_Buttons_ADC = analogRead(A0); // read the buttons
if (LCD_Buttons_ADC >= 879)       // button NONE 
{lcd.setCursor(3,0);
lcd.print("Press any key");}         
else if (LCD_Buttons_ADC < 74)    // button RIGHT;    
{lcd.setCursor(3,0);
lcd.print("    RIGHT    ");}       
else if (LCD_Buttons_ADC < 238)   // button UP; 
{lcd.setCursor(3,0);
lcd.print("     UP      ");}    
else if (LCD_Buttons_ADC < 416)   // button DOWN;   
{lcd.setCursor(3,0);
lcd.print("    DOWN     ");}    
else if (LCD_Buttons_ADC < 620)   // button LEFT;   
{lcd.setCursor(3,0);
lcd.print("    LEFT     ");}    
else if (LCD_Buttons_ADC < 879)   // button SELECT;    
{lcd.setCursor(3,0);
lcd.print("   SELECT    ");}    
}

